Stimulsoft Reports

Генератор отчётов для Vue.js

Встраиваемые компоненты для создания, просмотра и экспорта отчётов в приложениях, написанных с помощью фреймворка Vue.js. Совместимость с Vue 3+ и .NET Core 6/8/10. Генератор отчётов построен с учётом архитектуры Vue, обеспечивая тесную интеграцию с вашим проектом.

Отчётность для Vue.js-проектов

Проектируйте профессиональные отчёты и дашборды непосредственно в ваших Vue-приложениях. Генератор отчётов Stimulsoft предоставляет все необходимые инструменты для визуализации данных и настройки внешнего вида документов. Встроенные интерактивные компоненты делают работу с отчётами удобной и наглядной для конечных пользователей.

Загрузка...

Установка и быстрый старт

Установите необходимые npm-пакеты за пару минут и добавьте всего несколько строк кода для интеграции генератора отчётов в ваш Vue.js-проект. Компоненты полностью готовы к использованию, поддерживают Vue 3+ и настраиваются через знакомые механизмы — props, события и слоты. Начните создавать отчёты прямо сейчас, не тратя время на сложную настройку.
bash
npm install stimulsoft-viewer-vue
dotnet add package Stimulsoft.Reports.Vue

Интерактивный просмотр отчётов

Встраивайте готовые отчёты в ваше Vue.js-приложение с помощью специализированного компонента — вьювера. Он полностью поддерживает интерактивность, обновляет содержимое при изменении данных и легко управляется через параметры и события. Встроенный вьювер органично вписывается в интерфейс приложения и предоставляет пользователям все необходимые инструменты для работы с отчётами.
App.vue
<script setup lang="ts">
import { StimulsoftViewer } from 'stimulsoft-viewer-vue';
</script>

<template>
    <StimulsoftViewer
        request-url="/Viewer/{action}"
        action="InitViewer"
        height="100vh"
    />
</template>

Экспорт и сохранение документов

Экспортируйте готовые отчёты в самые востребованные форматы: PDF, Excel, Word, HTML, CSV, JSON, XML и другие. Функция экспорта доступна прямо из вашего Vue-приложения через встроенный API компонентов. Настраивайте параметры выгрузки, сохраняйте структуру и оформление документов — результат всегда соответствует вашим требованиям.
App.vue
<script setup lang="ts">
import { ref } from 'vue';
import { StimulsoftViewer } from 'stimulsoft-viewer-vue';
import type { StimulsoftViewerHandle } from 'stimulsoft-viewer-vue';

const viewerRef = ref<StimulsoftViewerHandle | null>(null);

const exportToPdf = () => {
    if (viewerRef.value)
        viewerRef.value.export('Pdf', { ImageResolution: 200 });
};
</script>

<template>
        <input type="button" @click="exportToPdf" value="Export to PDF" />
</template>

Работа с отчётами на стороне ASP.NET-сервера

Серверная часть генератора отчётов для Vue.js работает на базе ASP.NET. Все ресурсоёмкие процессы — загрузка шаблонов, рендеринг, подготовка данных и экспорт — выполняются на сервере. Это снижает нагрузку на клиентскую сторону Vue-приложений и ускоряет работу с отчётами. Серверный компонент легко интегрируется через стандартные API и совместим с .NET 6, 8, 10 и новее, гарантируя стабильность в любых проектах.
ViewerController.cs
using Microsoft.AspNetCore.Mvc;
using Stimulsoft.Report;
using Stimulsoft.Report.Vue;

[Controller]
public class ViewerController : Controller
{

    [HttpPost]
    public IActionResult InitViewer()
    {
        var requestParams = StiVueViewer.GetRequestParams(this);

        var options = new StiVueViewerOptions();
        options.Actions.GetReport = "GetReport";
        options.Actions.ViewerEvent = "ViewerEvent";

        return StiVueViewer.ViewerDataResult(requestParams, options);
    }

    [HttpPost]
    public IActionResult GetReport()
    {
        var report = StiReport.CreateNewReport();
        var path = StiVueHelper.MapPath(this, "Reports/MasterDetail.mrt");
        report.Load(path);

        return StiVueViewer.GetReportResult(this, report);
    }
}
Designer

Дизайнер для создания отчётов, дашбордов и форм

Дизайнер Stimulsoft — это основной инструмент для визуального проектирования отчётности в Vue‑приложениях. Подключайте данные из любых источников: SQL, NoSQL, облачные хранилища, файловые системы и другие.

Используйте более 80 типов диаграмм, включая 3D‑визуализацию, встроенные штрихкоды, интерактивные элементы, события и многое другое. Дизайнер может работать как отдельное приложение на компьютере, встраиваться в ваше Vue‑приложение или запускаться прямо в браузере.

Stimulsoft

Reports.WEB

Stimulsoft Reports для Vue.js является частью продукта Stimulsoft Reports.WEB — кроссплатформенного набора инструментов для создания отчётов с использованием технологий ASP.NET, ASP.NET MVC, .NET, Angular, Blazor, React и Vue.js. В состав продукта входят мощный и быстрый движок отчётов на универсальной платформе .NET, удобный HTML5-дизайнер отчётов и интерактивный высокопроизводительный HTML5-вьювер отчётов.

Что дальше?

Мы подготовили множество примеров отчётов и дашбордов, сгруппированных по сферам использования. Вы можете подключить к ним свои данные и изменять соответственно вашим требованиям. Наши руководства для пользователей и техническая документация помогут вам сделать работу по визуализации и аналитике данных более эффективной и быстрой. Более того, вы можете забронировать учебные курсы с нашими специалистами и подписаться на наш YouTube-канал, чтобы всегда получать самые свежие видео.
Training Courses

Учебные курсы

Столкнулись со сложностями при создании отчётов и дашбордов? Не проблема! Свяжитесь с нами и забронируйте учебные курсы – наши специалисты всегда готовы помочь.
Videos

Видеоуроки

Мы подготовили видеоматериалы по разработке и созданию отчётов и дашбордов. Коллекция видео разбита по темам и постоянно обновляется.
Documentation

Documentation

Пользовательская документация подробно описывает как общие возможности продукта, так и нюансы использования и тонкости настройки компонентов отчётности.
Documentation

Примеры кода

Оцените примеры проектов и шаблоны отчётов для работы с нашими продуктами. Также вы можете посмотреть и загрузить их с GitHub.
Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.

Stimulsoft Reports

Генератор отчетов для React

Кроссплатформенный набор инструментов для создания отчётов, разработанный для использования совместно с библиотекой React. Наше решение совместимо с React 16.8 и выше, включая актуальную версию React, и содержит всё необходимое для создания, редактирования, просмотра и экспорта отчётов. Серверная сторона продукта использует ASP.NET MVC и .NET.

Профессиональная отчётность

Вы можете создавать профессиональные отчёты любой сложности быстро, интуитивно и с мгновенным предварительным просмотром результатов.

Loading...

Установка

Быстрый старт за пару минут с использованием всего нескольких строк кода. Скачайте пакеты через NuGet или npm и легко интегрируйте генератор отчетов для React в ваше приложение. Создавайте, просматривайте и экспортируйте интерактивные отчеты с помощью мощного дизайнера отчетов и компонентов визуализации данных.
App.tsx
npm install stimulsoft-viewer-react
dotnet add package Stimulsoft.Reports.React

Просмотр отчётов

Просмотр готовых отчётов в вашем приложении. Встроенный React вьювер отчетов обеспечивает быстрое и удобное отображение отчётов непосредственно в веб-приложении. Используйте интерактивную навигацию, поиск, масштабирование и экспорт отчётов для комфортной работы с данными.
ClientApp/src/App.tsx
import React from 'react';
import { StimulsoftViewer } from 'stimulsoft-viewer-react';

export const App: React.FC = () => {
    return (
        <StimulsoftViewer
        requestUrl="/Viewer/{action}"
        action="InitViewer"
        height="100vh"
        />
    )
}

Экспорт

Экспортируйте отчёты в PDF, Excel, Word, HTML, CSV, XML, JSON, RTF, OpenDocument, текстовые файлы и форматы изображений, включая PNG, JPEG, BMP, TIFF и SVG. Используйте компоненты отчётности React для создания, просмотра и экспорта профессиональных отчётов в любых бизнес-приложениях.
ClientApp/src/App.tsx
import React, { useRef } from 'react';
import { StimulsoftViewer, StimulsoftViewerHandle }
    from 'stimulsoft-viewer-react';

export const App: React.FC = () => {
    const viewerRef = useRef<StimulsoftViewerHandle>(null);

    return (
        <div>
            <input
                type="button"
                onClick={() => { if (viewerRef.current)
                    viewerRef.current.export('Pdf',
                        { ImageResolution: 200 }); }}
                value="Export to PDF"
            />
        </div>
    );
};

Viewer Controller – серверная часть на ASP.NET

Серверная часть инструмента отчётности для React построена на ASP.NET и работает в Windows, macOS и Linux. Полный функционал движка отчётов, загрузка шаблонов формата .mrt, построение и экспорт выполняются на сервере. Поддерживаются .NET 6, .NET 8, .NET 10 и более новые версии.
ClientApp/src/App.tsx
using Microsoft.AspNetCore.Mvc;
using Stimulsoft.Report;
using Stimulsoft.Report.React;

namespace Integrating_the_Report_Viewer_into_an_Application.Controllers
{
    [Controller]
    public class ViewerController : Controller
    {
        static ViewerController()
        {
            // How to Activate
            //Stimulsoft.Base.StiLicense.Key = "6vJhGtLLLz2GNviWmUTrhSqnO...";
            //Stimulsoft.Base.StiLicense.LoadFromFile("license.key");
            //Stimulsoft.Base.StiLicense.LoadFromStream(stream);
        }

        [HttpPost]
        public IActionResult InitViewer()
        {
            var requestParams = StiReactViewer.GetRequestParams(this);

            var options = new StiReactViewerOptions();
            options.Actions.GetReport = "GetReport";
            options.Actions.ViewerEvent = "ViewerEvent";
            options.Toolbar.ShowPinToolbarButton = false;
            options.Appearance.ScrollbarsMode = true;

            return StiReactViewer.ViewerDataResult(requestParams, options);
        }

        [HttpPost]
        public IActionResult GetReport()
        {
            var report = StiReport.CreateNewReport();
            var path = StiReactHelper.MapPath(this, $"Reports/MasterDetail.mrt");
            report.Load(path);

            return StiReactViewer.GetReportResult(this, report);
        }

        [HttpPost]
        public IActionResult ViewerEvent()
        {
            return StiReactViewer.ViewerEventResult(this);
        }
    }
}
Designer

Ваш главный инструмент – дизайнер отчетов, дашбордов и форм

Дизайнер Stimulsoft — это центральный инструмент экосистемы для создания профессиональных отчётов, дашбордов, PDF-форм, и визуализации данных без лишних сложностей. Всё необходимое: подключение данных, вычисления, группировки, визуальное оформление — собрано в едином рабочем пространстве.

Интерфейс доступен на 40 языках, работает на любой операционной системе и в браузере, что делает разработку отчётов удобной на любой платформе. Мастера быстрого старта и готовые шаблоны помогут вам сразу перейти от идеи к готовому документу, ускоряя создание интерактивных отчётов под любые бизнес-задачи.

Stimulsoft

Reports.WEB

Stimulsoft Reports для фреймворка React является частью продукта Stimulsoft Reports.WEB – кроссплатформенного набора инструментов для создания отчётов с использованием технологий ASP.NET, ASP.NET MVC, Angular, Blazor, React и Vue.js. В состав продукта входят мощный и быстрый движок отчётов на универсальной платформе .NET, удобный HTML5-дизайнер отчётов и интерактивный высокопроизводительный HTML5-вьювер отчётов.

Что дальше?

Мы подготовили множество примеров отчетов и дашбордов, сгруппированных по сферам использования. Вы можете подключить к ним свои данные и изменять соответственно вашим требованиям. Наши руководства для пользователей и техническая документация помогут вам сделать работу по визуализации и аналитике данных более эффективной и быстрой. Более того, вы можете забронировать учебные курсы с нашими специалистами и подписаться на наш YouTube-канал, чтобы всегда получать самые свежие видео.
Training Courses

Учебные курсы

Столкнулись со сложностями при создании отчетов и дашбордов? Не проблема! Свяжитесь с нами и забронируйте учебные курсы – наши специалисты всегда готовы помочь.
Videos

Видеоуроки

Мы подготовили видеоматериалы по разработке и созданию отчетов и дашбордов. Коллекция видео разбита по темам и постоянно обновляется.
Documentation

Документация

Пользовательская документация подробно описывает как общие возможности продукта, так и нюансы использования и тонкости настройки компонентов отчетности.
Documentation

Примеры кода

Оцените примеры проектов и шаблоны отчетов для работы с нашими продуктами. Также вы можете посмотреть и загрузить их с GitHub.
Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.